Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Atk::TableSignals Class Reference

Abstract base class that implements the virtual signal handlers for Atk::Table. More...

`#include <xfc/atk/tablesignals.hh>`

Inheritance diagram for Xfc::Atk::TableSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_row_inserted (int row, int num_inserted)
    Called when one or more rows are inserted into the table.
- virtual void on_column_inserted (int column, int num_inserted)
    Called when one or more columns are inserted into the table.
- virtual void on_row_deleted (int row, int num_deleted)
    Called when one or more rows in the table are deleted.
- virtual void on_column_deleted (int column, int num_deleted)
    Called when one or more columns in the table are deleted.
- virtual void on_row_reordered ()
    Called when the rows in the table are reordered.
- virtual void on_column_reordered ()
    Called when the columns in the table are reordered.
- virtual void on_model_changed ()
    Called when a model_changed signal is received.

## Protected Member Functions

Constructors

- virtual ~TableSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Atk::Table.

## Member Function Documentation

virtual void Xfc::Atk::TableSignals::on_column_deleted | ( | int | column,
|  | int | num_deleted
| ) | `[virtual]`

Called when one or more columns in the table are deleted.

Parameters:

  | column | The index of the first column deleted.
  | num_deleted | The number of columns deleted.

virtual void Xfc::Atk::TableSignals::on_column_inserted | ( | int | column,
|  | int | num_inserted
| ) | `[virtual]`

Called when one or more columns are inserted into the table.

Parameters:

  | column | The index of the first column inserted.
  | num_inserted | The number of columns inserted.

virtual void Xfc::Atk::TableSignals::on_row_deleted | ( | int | row,
|  | int | num_deleted
| ) | `[virtual]`

Called when one or more rows in the table are deleted.

Parameters:

  | row | The index of the first row deleted.
  | num_deleted | The number of rows deleted.

virtual void Xfc::Atk::TableSignals::on_row_inserted | ( | int | row,
|  | int | num_inserted
| ) | `[virtual]`

Called when one or more rows are inserted into the table.

Parameters:

  | row | The index of the first row inserted.
  | num_inserted | The number of rows inserted.

The documentation for this class was generated from the following file:

- tablesignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3